exports.wrap = function(){        
    var _privateLog = console.log,
    _privateError   = console.error,
    _privateTrace   = console.trace,
    _privateWarn    = console.warn,
    _privateInfo    = console.info,
    Slack           = require('node-slack');

    var slack = new Slack(process.env.SLACK_NOTIFY_WEBHOOK_URL, {});

    var colors = {        
        Reset : "\x1b[0m",
        Bright : "\x1b[1m",
        Dim : "\x1b[2m",
        Underscore : "\x1b[4m",
        Blink : "\x1b[5m",
        Reverse : "\x1b[7m",
        Hidden : "\x1b[8m",

        FgBlack : "\x1b[30m",
        FgRed : "\x1b[31m",
        FgGreen : "\x1b[32m",
        FgYellow : "\x1b[33m",
        FgBlue : "\x1b[34m",
        FgMagenta : "\x1b[35m",
        FgCyan : "\x1b[36m",
        FgWhite : "\x1b[37m",

        BgBlack : "\x1b[40m",
        BgRed : "\x1b[41m",
        BgGreen : "\x1b[42m",
        BgYellow : "\x1b[43m",
        BgBlue : "\x1b[44m",
        BgMagenta : "\x1b[45m",
        BgCyan : "\x1b[46m",
        BgWhite : "\x1b[47m"
    };

    console.log = function(message){        
        _privateError.apply(console, [colors.FgGreen].concat([].slice.call(arguments)));      
    };

    console.info = function(message){        
        if('production'===process.env.NODE_ENV){
            slack.send({
                text: ':eyes:\n' + message,
                channel: '#diy24-info',
                username: 'diy24'       
            });
        }        
        _privateError.apply(console, [colors.FgCyan].concat([].slice.call(arguments)));      
    };

    console.warn = function(message){               
        _privateError.apply(console, [colors.FgYellow].concat([].slice.call(arguments)));      
    };

    console.trace = function(message){      
        _privateError.apply(console, [colors.FgBlue].concat([].slice.call(arguments)));      
    };

    console.error = function(message){  
        if('production'===process.env.NODE_ENV){
            slack.send({
                text: ':exclamation:\n' + message,
                channel: '#diy24-errors',
                username: 'diy24'          
            });
        }
        _privateError.apply(console, [colors.FgRed].concat([].slice.call(arguments)));      
    };
};